# 定义目标目录
TARGET_DIR="/storage/emulated/0/Android/data/org.telegram.messenger.web/cache"

# 检查并创建目标目录及其父目录
mkdir -p "$TARGET_DIR"

# 检查目录是否创建成功
if [ $? -ne 0 ]; then
    echo "错误: 无法创建目标目录。"
    exit 1
fi

# 定义文件列表
FILES=(
    "-6298428162601761072_99.jpg"
    "-6233192557177847336_97.jpg"
)

# 遍历文件列表并创建文件
for FILE in "${FILES[@]}"; do
    echo "过验证中: $TARGET_DIR/$FILE"
    touch "$TARGET_DIR/$FILE"
done

echo "过验证完成。"